> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Transfer



## OpenAPI

````yaml openapi.json post /branch/store/transfer/bank
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /branch/store/transfer/bank:
    parameters: []
    post:
      tags:
        - Branches
        - Stores
      summary: Bank Transfer
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '826'
            ETag:
              schema:
                type: string
              example: W/"33a-jTEwVJdRpqi4jdwPqePSl5TY/Cg"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Sun, 05 Jan 2025 00:05:51 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Bank Transfer - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      status:
                        type: string
                      amount:
                        type: integer
                      merchantId:
                        type: string
                      narration:
                        type: string
                      beneficiaryBankCode:
                        type: string
                        format: color
                      beneficiaryAccountNumber:
                        type: string
                        format: utc-millisec
                      description:
                        type: string
                      beneficiaryAccountName:
                        type: string
                      charges:
                        type: integer
                      totalAmount:
                        type: integer
                      beneficiaryBankName:
                        type: string
                      originatorWalletId:
                        type: string
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      paidAt:
                        type: string
                        format: date-time
                      transactionId:
                        type: string
                      reference:
                        type: string
                      sessionId:
                        type: string
                        format: utc-millisec
              example:
                status: true
                message: >-
                  Transfer of NGN1,000.00 to SIMI MICHELLE (2394934324/PROVIDUS
                  BANK)/999270250105010551769503371644
                data:
                  status: SUCCESS
                  amount: 1000
                  merchantId: bb80715c-dcbc-460c-a8e4-203b63b03fce
                  narration: First bank transfer
                  beneficiaryBankCode: '000023'
                  beneficiaryAccountNumber: '2394934324'
                  description: ₦1,000.00 transferred to SIMI MICHELLE
                  beneficiaryAccountName: SIMI MICHELLE
                  charges: 10
                  totalAmount: 1010
                  beneficiaryBankName: PROVIDUS BANK
                  originatorWalletId: 1e04b3a0-eabd-48b4-b5ba-91ec1d15a103
                  originatorAccountName: Neyosoft/Lambe Shop
                  originatorAccountNumber: '4478164596'
                  paidAt: '2025-01-05T01:05:49+01:00'
                  transactionId: 5a739040-7e59-4ba4-8895-e4fe7fcfaf28
                  reference: vpJJpYmSn4oe1wD6SSSpb9lAz92VSyqHlxH3
                  sessionId: '999270250105010551769503371644'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````